Subject: bug#55859: closed (Re: [PATCH] Update xcb-proto to 1.15)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 09 Jun 2022 15:04:03 +0000

Your bug report

#55859: [PATCH] Update xcb-proto to 1.15

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55859: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55859
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] Update xcb-proto to 1.15
From: Ricardo Wurmus <[email-masked]>
To: Felix Lechner <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 09 Jun 2022 16:59:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Felix,

Felix Lechner <[email-masked]> writes:

> The patch should probably be part of core-updates. ("Building the
> following 7431 packages would ensure 15670 dependent packages are
> rebuilt.")

thank you for the patch.  I have applied it to the core-updates branch
with commit 0d09e2e29d1ef0afabebd843f51d41d6cfe340ee.

I changed the commit message to mention the changed variable explicitly:

    gnu: xcb-proto: Update to 1.15.
    
    * gnu/packages/xorg.scm (xcb-proto): Update to 1.15.
    
    Signed-off-by: Ricardo Wurmus <[email-masked]>

If you’re using Emacs you can use our “update” yasnippet to generate
this automatically.  Alternatively, you can use ./etc/committer.scm.

> This message was sent in parallel to guix-mentors and to guix-patches.

Please note that guix-mentors isn’t ready yet.  I proposed it, but we
don’t actually have a group of mentors who have committed to respond to
mentorship requests.

-- 
Ricardo

Subject: [PATCH] Update xcb-proto to 1.15
From: Felix Lechner <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Wed, 8 Jun 2022 16:40:47 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

Control: tags -1 + patch

Hi,

Your feedback on the attached patch would be appreciated.

The patch should probably be part of core-updates. ("Building the
following 7431 packages would ensure 15670 dependent packages are
rebuilt.")

> So contributors themselves do not need to know about guix-mentors,
> right?  (My initial understanding was that they’d explicitly email
> guix-mentors in addition to guix-patches.)

> Your initial understanding is correct.

This message was sent in parallel to guix-mentors and to guix-patches.

I have submitted patches before, but self-identify as a new contributor. Thanks!

Kind regards
Felix Lechner
From 52031e55159c3ec1f6824049200594cfe4ea54b4 Mon Sep 17 00:00:00 2001
From: Felix Lechner <[email-masked]>
Date: Wed, 8 Jun 2022 16:18:51 -0700
Subject: [PATCH] gnu: xcb-proto: Update to 1.15.

---
 gnu/packages/xorg.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/xorg.scm b/gnu/packages/xorg.scm
index 1547fdb9f8..895f501cf9 100644
--- a/gnu/packages/xorg.scm
+++ b/gnu/packages/xorg.scm
@@ -2099,7 +2099,7 @@ (define-public xcalc
 (define-public xcb-proto
   (package
     (name "xcb-proto")
-    (version "1.14")
+    (version "1.15")
     (source
       (origin
         (method url-fetch)
@@ -2108,7 +2108,7 @@ (define-public xcb-proto
                version ".tar.xz"))
         (sha256
          (base32
-          "01d62r286yfc3rpz714nqdgkl0wk9j0wqkd4ylas1d7r4vmkqshq"))
+          "0pwmcmmrc4zll3fvlxcjmyx5569yzaf1fjfvm5px2rc39qk3nk6k"))
         (modules '((guix build utils)))
         (snippet
          '(begin

base-commit: e14918f402d6f61814d36463255a2be24ebbb352
-- 
2.36.1